Skip to content
Get started

Add a user to a customer

POST/v1/express/{expressCustomerId}/users

Associates an existing user with a customer, granting them access to customer-specific resources and studies.

Path ParametersExpand Collapse
expressCustomerId: string

Unique Express customer identifier. Format: cus_{32-hex-chars}

Body ParametersJSONExpand Collapse
userId: string

User ID to add to the Express customer. Format: usr_{32-hex-chars}

ReturnsExpand Collapse
success: boolean
message: optional string

Add a user to a customer

curl https://api.avarasoftware.com/v1/express/$EXPRESS_CUSTOMER_ID/users \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $AVARA_API_KEY" \
    -d '{
          "userId": "usr_1234567890abcdef1234567890abcdef"
        }'
{
  "success": true,
  "message": "Operation completed successfully"
}
Returns Examples
{
  "success": true,
  "message": "Operation completed successfully"
}